Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.linker
Interface ConfigurationProperty

    public interface ConfigurationProperty

Represents a configuration property. These properties do not affect deferred-binding decisions, but may affect the behavior of Linkers and Generators.

Method Summary
`java.lang.String` | `getName()` Returns the name of the configuration property.
`java.lang.String` | `getValue()` Deprecated.
`java.util.List<java.lang.String>` | `getValues()` Returns the defined values for the configuration property as a List of Strings.
`boolean` | `hasMultipleValues()` Returns true if this property has more than one value.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the configuration property.

### getValue

    @Deprecated
    java.lang.String getValue()

  Deprecated.

  Returns the defined value for the configuration property. If the property has multiple values, this returns the first value only.

### getValues

    java.util.List<java.lang.String> getValues()

  Returns the defined values for the configuration property as a List of Strings.

### hasMultipleValues

    boolean hasMultipleValues()

  Returns true if this property has more than one value.

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD